Create a subscription type

Creates a new subscription type.

post
Header parameters
Brand-URLstringRequired

The brand URL of the request. This is used to identify the brand.

Example: YOUR_BRAND_URL
Auth-KeystringRequired

Auth-Key is required to authenticate the request. If missing, the server will return 401 Unauthorized.

Example: YOUR_AUTH_KEY
Body

This class is used to define the data transfer object for the SubscriptionType which is used to create or update a subscription type.

namestring · min: 1Required

The name of the subscription type.

unitstring · enumRequired

Represents the unit of time used for a subscription period.

Possible values:
quantityinteger · int32Optional

The quantity of the subscription type.

tagsstring · nullableOptional

The tags of the subscription type.

zOrderinteger · int64 · nullableOptional

The z-order of the subscription type. If the value not provide, we will set the new z-order base on the current item's brand.

statusstring · enumOptional

This enum is used to define the common status of an object in JFW.

Supported values:

  • Inactive - In case of JFW object's status being inactive.
  • Active - In case of JFW object's status being active
Possible values:
isDefaultbooleanOptional

Flag to indicate if the subscription type is default. By default, it is false.

descriptionstring · nullableOptional

The description of the subscription type.

Responses
chevron-right
201

The request was successful.

application/json

This provides interfaces for API responses with data.

successbooleanRead-onlyRequired

This is the flag to indicate whether the API call is successful or not.

statusCodeinteger · int32Read-onlyRequired

This is the HTTP status code. This is used to determine the status code to be returned to the client.

messagestring · min: 1Read-onlyRequired

This is the message to be displayed to the user.

post
/api/v1/subscription-types

Last updated